Admin O Auth Client List
List OAuth clients registered for this instance. This admin view includes both member-created third-party clients and built-in first-party clients. Built-in clients will not be owned by an account; their grants and refresh tokens are owned by the approving account instead.
List OAuth clients registered for this instance.
This admin view includes both member-created third-party clients and built-in first-party clients. Built-in clients will not be owned by an account; their grants and refresh tokens are owned by the approving account instead.
/admin/oauth/clientsIn: cookie
Response Body
application/json
application/json
curl -X GET "https://loading/api/admin/oauth/clients"{
"clients": [
{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"account_id": "cc5lnd2s1s4652adtu50",
"client_id": "string",
"name": "string",
"type": "public",
"scope_policy": "explicit",
"redirect_uris": [
"http://example.com"
],
"allowed_scopes": [
"string"
],
"allowed_grants": [
"string"
]
}
]
}{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Admin O Auth Client Get GET
Read an OAuth client. OAuth clients represent application/software identity. They are not the same thing as a user authorisation; user-owned authorisations are represented by device authorisations, authorisation requests, and refresh tokens.
Admin O Auth Client Update PATCH
Update an OAuth client. Changing allowed grants or scopes only affects future authorisation and refresh operations. Already-issued JWT access tokens remain valid until their expiry unless their signing key is rotated. For account-owned clients, allowed permission scopes must be grantable by the owning account. An account with `ADMINISTRATOR` may configure any Storyden permission scope because `ADMINISTRATOR` implicitly grants all permissions.